Bug 1313235 - nothing provides python2-oauthlib
nothing provides python2-oauthlib
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-oauthlib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1314349
  Show dependency treegraph
 
Reported: 2016-03-01 03:47 EST by Jakub Dorňák
Modified: 2016-11-30 19:59 EST (History)
2 users (show)

See Also:
Fixed In Version: python-oauthlib-1.0.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1314349 (view as bug list)
Environment:
Last Closed: 2016-04-14 23:18:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2016-03-01 03:47:01 EST
Description of problem:
According to the Packaging Guidelines, the subpackage containing the python2 version must provide python2-oauthlib. This can be accomplished with a virtual provides or by changing the subpackage layout so that there are python2-oauthlib and python3-oauthlib subpackages.

> Name: python-oauthlib

> %package -n python2-oauthlib

> %package -n python3-oauthlib

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Fedora Admin XMLRPC Client 2016-04-04 16:31:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Update System 2016-04-10 14:58:54 EDT
python-oauthlib-1.0.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-710a1b61d8
Comment 3 Fedora Update System 2016-04-11 06:19:21 EDT
python-oauthlib-1.0.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-710a1b61d8
Comment 4 Fedora Update System 2016-04-14 23:18:31 EDT
python-oauthlib-1.0.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.